Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSBridgeDestinationMBean

public interface JMSBridgeDestinationMBean
extends BridgeDestinationCommonMBean

This class represents a messaging bridge destination for a JMS product.

Each messaging bridge consists of two destinations that are being bridged: a source destination from which messages are received, and a target destination to which messages are sent.

Field Summary
`static java.lang.String` | `DEFAULT_INITIAL_CONTEXT_FACTORY`

Fields inherited from class weblogic.management.configuration.BridgeDestinationCommonMBean
`JMS_XA_ADAPTER_JNDI`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getConnectionFactoryJNDIName()` Defines the connection factory's JNDI name for a JMS bridge destination.
`java.lang.String` | `getConnectionURL()` Defines the connection URL for a JMS bridge destination.
`java.lang.String` | `getDestinationJNDIName()` Defines the destination JNDI name for a JMS bridge destination.
`java.lang.String` | `getDestinationType()` Defines the destination type (Queue or Topic) for a JMS bridge destination.
`java.lang.String` | `getInitialContextFactory()` Defines the initial context factory name for a JMS bridge destination.
`void` | `setConnectionFactoryJNDIName(java.lang.String jndi)` Defines the connection factory's JNDI name for a JMS bridge destination.
`void` | `setConnectionURL(java.lang.String jndi)` Defines the connection URL for a JMS bridge destination.
`void` | `setDestinationJNDIName(java.lang.String jndi)` Defines the destination JNDI name for a JMS bridge destination.
`void` | `setDestinationType(java.lang.String type)` Defines the destination type (Queue or Topic) for a JMS bridge destination.
`void` | `setInitialContextFactory(java.lang.String jndi)` Defines the initial context factory name for a JMS bridge destination.

Methods inherited from interface weblogic.management.configuration.BridgeDestinationCommonMBean
`getAdapterJNDIName, getClasspath, getUserName, getUserPassword, setAdapterJNDIName, setClasspath, setUserName, setUserPassword`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### DEFAULT_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String DEFAULT_INITIAL_CONTEXT_FACTORY

Method Detail

### getConnectionFactoryJNDIName

    public java.lang.String getConnectionFactoryJNDIName()

  Defines the connection factory's JNDI name for a JMS bridge destination.

### setConnectionFactoryJNDIName

    public void setConnectionFactoryJNDIName(java.lang.String jndi)
                                      throws javax.management.InvalidAttributeValueException

  Defines the connection factory's JNDI name for a JMS bridge destination.

  Default Value: null
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false

### getInitialContextFactory

    public java.lang.String getInitialContextFactory()

  Defines the initial context factory name for a JMS bridge destination.

### setInitialContextFactory

    public void setInitialContextFactory(java.lang.String jndi)
                                  throws javax.management.InvalidAttributeValueException

  Defines the initial context factory name for a JMS bridge destination.

  Default Value: DEFAULT_INITIAL_CONTEXT_FACTORY

### getConnectionURL

    public java.lang.String getConnectionURL()

  Defines the connection URL for a JMS bridge destination.

### setConnectionURL

    public void setConnectionURL(java.lang.String jndi)
                          throws javax.management.InvalidAttributeValueException

  Defines the connection URL for a JMS bridge destination.

### getDestinationJNDIName

    public java.lang.String getDestinationJNDIName()

  Defines the destination JNDI name for a JMS bridge destination.

### setDestinationJNDIName

    public void setDestinationJNDIName(java.lang.String jndi)
                                throws javax.management.InvalidAttributeValueException

  Defines the destination JNDI name for a JMS bridge destination.

  Default Value: null
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false

### getDestinationType

    public java.lang.String getDestinationType()

  Defines the destination type (Queue or Topic) for a JMS bridge destination.

### setDestinationType

    public void setDestinationType(java.lang.String type)
                            throws javax.management.InvalidAttributeValueException

  Defines the destination type (Queue or Topic) for a JMS bridge destination.

  Default Value: weblogic.management.configuration.JMSConstants.DESTINATION_TYPE_QUEUE
  Legal Values: weblogic.management.configuration.JMSConstants.DESTINATION_TYPE_QUEUE,weblogic.management.configuration.JMSConstants.DESTINATION_TYPE_TOPIC

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference